> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.empiriolabs.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.empiriolabs.ai/_mcp/server.

# Mistral Small 3.1

> 24B-parameter multimodal model with 128K context for image analysis, programming, math, and multilingual tasks, tuned for efficient local inference.

![Mistral Small 3.1](https://media.empiriolabs.ai/model-logos/mistral-small-3-1.png)

[Mistral AI](/providers/mistral) · Text Generation

`POST /v1/chat/completions`

24B-parameter multimodal model with 128K context for image analysis, programming, math, and multilingual tasks, tuned for efficient local inference.

## At a glance

| Field               | Value                                                                                                                           |
| ------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| Model id            | `mistral-small-3-1`                                                                                                             |
| Model release date  | 2025-03-17                                                                                                                      |
| Input modalities    | Text, Image                                                                                                                     |
| Output modalities   | Text                                                                                                                            |
| Context window      | 128K                                                                                                                            |
| Weight precision    | -                                                                                                                               |
| Max output tokens   | 32,768                                                                                                                          |
| Features            | vision, function_calling                                                                                                        |
| Native inference    | No                                                                                                                              |
| New                 | No                                                                                                                              |
| Structured output   | JSON Schema                                                                                                                     |
| Supported endpoints | `POST /v1/chat/completions`, `POST /v1/responses`, `POST /v1/messages`, `POST /v1beta/models/mistral-small-3-1:generateContent` |
| Alternate model ids | `mistral-small-3.1`, `mistralai/mistral-small-3.1`                                                                              |

## Pricing

| Charge              | Spec                  | Rate     |
| ------------------- | --------------------- | -------- |
| Per Message         | fixed                 | \$0.0019 |
| Web Search (Linkup) | per call when invoked | \$0.013  |

## Example request

```bash
curl https://api.empiriolabs.ai/v1/chat/completions \
  -H 'Authorization: Bearer $EMPIRIOLABS_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"model": "mistral-small-3-1", "messages": [{"role":"user","content":"Hello"}]}'
```

## Parameters

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| -------------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `temperature`        | number  | no       | `0.15`  | Sampling temperature. 0 = deterministic, 5 = maximum randomness. · Range: 0 – 5                                                                                                                                                                                                     |
| `top_p`              | number  | no       | `1.0`   | Nucleus sampling probability mass. Lower = more focused. · Range: 0.01 – 1                                                                                                                                                                                                          |
| `max_tokens`         | number  | no       | `4096`  | Maximum tokens in the response. · Range: 1 – 32768                                                                                                                                                                                                                                  |
| `tools`              | string  | no       | -       | OpenAI-format tool definitions                                                                                                                                                                                                                                                      |
| `tool_choice`        | string  | no       | -       | auto, none, required, or \{type, function}                                                                                                                                                                                                                                          |
| `response_format`    | enum    | no       | -       | Constrain the output to JSON. Use JSON mode for any valid JSON object, or JSON schema to force output that matches a schema you provide.                                                                                                                                            |
| `web_search_linkup`  | boolean | no       | false   | Optional web search powered by Linkup. When enabled, recent web sources are retrieved using your latest user message as the query and provided to the model as additional context. Adds \$0.013 per call when invoked on top of the model's normal token cost. Disabled by default. |
| `disable_formatting` | boolean | no       | false   | Return the answer without the Sources list that web search adds.                                                                                                                                                                                                                    |

## Notes

Input is limited to about 500,000 characters per request.

---

*Machine-readable schema:* `GET https://api.empiriolabs.ai/v1/models/mistral-small-3-1`.